- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TChoiceFormat
TDateFormat
TGlobalization
TGlobalizationAutoDetect
TI18NControl
TNumberFormat
Translation
TTranslate
TTranslateParameter

Keyword

# Class TGlobalizationAutoDetect

    TComponent
       |
       --TApplicationComponent
          |
          --TModule
             |
             --TGlobalization
                |
                --TGlobalizationAutoDetect

TGlobalizationAutoDetect class will automatically try to resolve the default culture using the user browser language settings.

Author: Wei Zhuo<weizhuo[at]gmail[dot]com>

Method Summary
void | getDetectedLanguage ()
void | init ( mixed $xml)

Methods Inherited From TGlobalization

TGlobalization::getCharset(), TGlobalization::getCulture(), TGlobalization::getCultureVariants(), TGlobalization::getDefaultCharset(), TGlobalization::getDefaultCulture(), TGlobalization::getLocalizedResource(), TGlobalization::getTranslationCatalogue(), TGlobalization::getTranslationConfiguration(), TGlobalization::init(), TGlobalization::setCharset(), TGlobalization::setCulture(), TGlobalization::setDefaultCharset(), TGlobalization::setDefaultCulture(), TGlobalization::setTranslationCatalogue(), TGlobalization::setTranslationConfiguration()

Methods Inherited From TModule
TModule::getID(), TModule::init(), TModule::setID()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getDetectedLanguage

public void getDetectedLanguage | ()

Output
Exception

## init

public void init | (mixed $xml )

Input
mixed | $xml |
Output
Exception